# Class Node`Abstract`

resembles a node in the application-diagram

#### Hierarchy (View Summary)

- Node
  - DummyNode
  - PageNode
  - TableNode
  - TriggerNode
  - ViewNode

- Defined in packages/saltcorn-data/diagram/nodes/node.ts:8

##### Index

### Constructors

constructor

### Properties

assignedTblIds
cyId
embedded
label
linked
name
objectId?
tables
tags
trigger
type

### Methods

commonCyData
cyDataObject

## Constructors

### constructor

- new Node(
  type: NodeType,
  name: string,
  label: string,
  tags: AbstractTag[],
  objectId?: number | null,
  ): Node

  #### Parameters

  - type: NodeType

    saltcorn-entity type

  - name: string
  - label: string
  - tags: AbstractTag[]
  - `Optional` objectId: number | null

  #### Returns Node

  - Defined in packages/saltcorn-data/diagram/nodes/node.ts:26

## Properties

### assignedTblIds

assignedTblIds: Set<number> = ...

- Defined in packages/saltcorn-data/diagram/nodes/node.ts:20

### cyId

cyId: string

- Defined in packages/saltcorn-data/diagram/nodes/node.ts:12

### embedded

embedded: Node[] = ...

- Defined in packages/saltcorn-data/diagram/nodes/node.ts:15

### label

label: string

- Defined in packages/saltcorn-data/diagram/nodes/node.ts:11

### linked

linked: Node[] = ...

- Defined in packages/saltcorn-data/diagram/nodes/node.ts:14

### name

name: string

- Defined in packages/saltcorn-data/diagram/nodes/node.ts:10

### `Optional` objectId

objectId?: number | null

- Defined in packages/saltcorn-data/diagram/nodes/node.ts:13

### tables

tables: Node[] = ...

- Defined in packages/saltcorn-data/diagram/nodes/node.ts:16

### tags

tags: AbstractTag[] = ...

- Defined in packages/saltcorn-data/diagram/nodes/node.ts:18

### trigger

trigger: Node[] = ...

- Defined in packages/saltcorn-data/diagram/nodes/node.ts:17

### type

type: NodeType

- Defined in packages/saltcorn-data/diagram/nodes/node.ts:9

## Methods

### `Protected` commonCyData

- commonCyData(): any

  returns data common for all subclasses

  #### Returns any

  cy node data

  - Defined in packages/saltcorn-data/diagram/nodes/node.ts:45

### `Abstract` cyDataObject

- cyDataObject(): any

  returns data specific to a subclass

  #### Returns any

  - Defined in packages/saltcorn-data/diagram/nodes/node.ts:59